/// <reference types="react" />
type THTMLScriptElementProps = Record<string, keyof HTMLScriptElement>;
export interface IUseScript {
    ready: boolean;
    error: null | Event | string;
}
export interface IScriptProps {
    src?: string;
    innerText?: string;
    onReady?: () => void;
    onError?: (error: string | Event) => void;
    otherProps?: THTMLScriptElementProps;
    startTrigger?: boolean;
    id?: string;
    appendTo?: string;
    delay?: number;
}
export interface IScriptLoaderProps extends IScriptProps {
    children?: JSX.Element | JSX.Element[] | string | string[] | number | number[];
    fallback?: (error: string | Event) => JSX.Element;
}
export default function useScript({ src, innerText, onReady, onError, otherProps, startTrigger, id, appendTo, delay, }: IScriptProps): IUseScript;
export declare const ScriptLoader: ({ children, fallback, src, innerText, onReady, onError, otherProps, startTrigger, id, appendTo, delay, }: IScriptLoaderProps) => string | number | JSX.Element | JSX.Element[] | string[] | number[] | null;
export {};
